Returns one page of Discord import jobs for the case, optionally filtered by status.
GET
/discord/{caseId}/import
curl \
--request GET 'http://api.example.com/discord/{caseId}/import' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"case": {},
"extractionCode": {},
"file": {},
"createdBy": {},
"status": "not_started",
"startedAt": "2026-01-15T14:25:00.000Z",
"completedAt": "2026-01-15T14:30:00.000Z",
"failedAt": "2026-05-04T09:42:00Z",
"message": "Discord export is missing the messages folder",
"discordUserProvider": {},
"stats": {
"conversations": 12,
"messages": 3480,
"activities": 250,
"tickets": 1
}
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}